%global debug_package %{nil}
%define pkgdate 20221026
%define pkgver 10165
%define commit a9c797dcb

Summary: An advanced Duke Nukem 3D source port
Name: eduke32
Version: %{pkgdate}.%{pkgver}
Release: 1%{dist}
License: GPL, Custom
Group: Game
Source: https://dukeworld.com/eduke32/synthesis/%{pkgdate}-%{pkgver}-%{commit}/eduke32_src_%{pkgdate}-%{pkgver}-%{commit}.tar.xz
Source1: https://raw.githubusercontent.com/bongochong/assistantpkgs/main/eduke32.desktop
Source2: https://raw.githubusercontent.com/bongochong/assistantpkgs/main/eduke32.png
URL: https://eduke32.com/

BuildRequires:  gcc-c++
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libvpx-devel
BuildRequires:  flac-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  gtk2-devel
BuildRequires:  nasm
BuildRequires:  libatomic
BuildRequires:  libatomic_ops-devel
BuildRequires:  libatomic-static
Requires:       flac


%description
An advanced Duke Nukem 3D source port

%prep
%autosetup -c -n %{name}-%{version}

%build
cd eduke32_%{pkgdate}-%{pkgver}-%{commit}
%make_build %{name} HAVE_GTK2=1 USE_OPENGL=1 SDL_TARGET=2 STARTUP_WINDOW=1 NOASM=1 PRETTY_OUTPUT=1

%install
%{__mkdir_p} %{buildroot}/usr/share/applications/
install -Dm644 %{SOURCE1} %{buildroot}/usr/share/applications/%{name}.desktop
%{__mkdir_p} %{buildroot}/usr/share/icons/hicolor/48x48/apps/
install -Dm644 %{SOURCE2} %{buildroot}/usr/share/icons/hicolor/48x48/apps/%{name}.png

cd eduke32_%{pkgdate}-%{pkgver}-%{commit}
%{__mkdir_p} %{buildroot}/%{_bindir}
install -m 755 -p -s %{name} %{buildroot}/%{_bindir}

%files
%{_bindir}/%{name}
/usr/share/applications/%{name}.desktop
/usr/share/icons/hicolor/48x48/apps/%{name}.png
